/**
 * Classe degli oggetti utilizzati per ordinare una lista di poligoni.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class BubbleSorter {
    /**
     * Ordina la lista in base all'area dei poligoni.
     *
     * @param La lista da ordinare.
     */
    public void sort(ListOfPolygons list) {
        for(int i = 0; i < list.getSize(); i++)
            for(int j = i + 1; j < list.getSize(); j++) {
                Polygon left  = list.getElement(i);
                Polygon right = list.getElement(j);

                if(left.area() > right.area()) swap(list, i, j);
            }
    }

    /**
     * Scambia due elementi della lista che si vuole ordinare.
     *
     * @param La lista su cui lavorare.
     * @param i Posizione del primo elemento.
     * @param j Posizione del secondo elemento.
     */
    private void swap(ListOfPolygons list, int i, int j) {
        Polygon t = list.getElement(i);

        list.setElement(i, list.getElement(j)); 
        list.setElement(j, t);
    }
}
