/**
 * Programma che crea una lista contenente 5 rettangoli, 2 quadrati e 1 triangolo e 1 pentagono.
 * I rettangoli sono i seguenti:<br>
 * 5x7, 4x8, 10x10, 1x1, 1x2<br>
 * I quadrati sono i seguenti:<br>
 * 6x6, 200x200<br>
 * Il triangolo e' il seguente:<br>
 * 3x4x5<br>
 * Il pentagono e' ha lati di lunghezza 7<br>
 * Una volta ordinata in base all'area, la lista viene stampata a video.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Main {
    /**
     * Metodo principale del programma.
     *
     * @param args Parametri passati sulla linea di comando.
     */
    public static void main(String[] args) {
        // Creazione della lista dei poligoni.
        ListOfPolygons list = new ListOfPolygons();

        // Creazione dei poligoni e aggiunta alla lista.
        list.addElement(new Rectangle(5, 7));
        list.addElement(new Rectangle(4, 8));
        list.addElement(new Rectangle(10, 10));
        list.addElement(new Rectangle(1, 1));
        list.addElement(new Rectangle(1, 2));
        list.addElement(new Square(6));
        list.addElement(new Square(200));
        list.addElement(new Triangle(3, 4, 5));
        list.addElement(new RegularPolygon(5, 7));

        // Creazione di un oggetto ordinatore
        BubbleSorter sorter = new BubbleSorter();

        // Ordinamento della lista.
        sorter.sort(list);

        // Stampa delle aree degli elementi della lista.
        Printer printer = new Printer();
        printer.print(list);
    }
}
