/**
 * Classe dei poligoni regolari.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class RegularPolygon extends Polygon {
    /**
     * Calcola l'area del poligono.
     *
     * @return L'area del poligono.
     */
    public double area() {
        return (numberOfSides*Math.pow(side, 2))/(4*Math.tan(2*Math.PI/numberOfSides));
    }

    /**
     * Calcola il perimetro del poligono.
     *
     * @return Il perimetro del poligono.
     */
    public double perimeter() {
        return numberOfSides*side;
    }

    /**
     * Ritorna il nome della figura.
     *
     * @return Il nome della figura.
     */
    public String getName() {
        return "Regular polygon";
    }

    /**
     * Costruttore per i poligoni regolari.
     *
     * @param n Numero di lati.
     * @param s Lunghezza dei lati.
     */
    public RegularPolygon(int n, int s) {
        numberOfSides = n;
        side          = s;
    }

    /**
     * Numero di lati del poligono.
     */
    private int numberOfSides = 0;

    /**
     * Lunghezza di ogni lato.
     */
    private int side = 0;
}
