/**
 * Classe delle liste di poligoni.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class ListOfPolygons {
    /**
     * Aggiunge un poligono in fondo alla lista.
     *
     * @param r Poligono da aggiungere alla lista.
     */
    public void addElement(Polygon r) {
        elements[size++] = r;
    }

    /**
     * Mette un poligono in posizione <code>i</code>.
     *
     * @param i Posizione in cui aggiungere il poligono.
     * @param r Poligono da aggiungere alla lista.
     */
    public void setElement(int i, Polygon r) {
        elements[i] = r;
    }

    /**
     * Ritorna l'elemento della lista in posizione <code>i</code>.
     *
     * @param  i Posizione dell'elemento da leggere all'interno della lista.
     * @return Elemento della lista in posizione <code>i</code>.
     */
    public Polygon getElement(int i) {
        return elements[i];
    }

    /**
     * Ritorna la dimensione corrente della lista.
     *
     * @return Dimensione corrente della lista.
     */
    public int getSize() {
        return size;
    }

    /**
     * Costruttore per le liste di poligoni.
     */
    public ListOfPolygons() {
        elements = new Polygon[100];
    }

    /**
     * Dimensione corrente della lista.
     */
    private int size = 0;

    /**
     * Array che implementa la lista.
     */
    private Polygon[] elements;
}
