/**
 * Classe degli oggetti utilizzati per ordinare una lista.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class BubbleSorter {
    /**
     * Ordina la lista in base all'oggetto comparatore.
     *
     * @param La lista da ordinare.
     */
    public void sort() {
        for(int i = 0; i < list.getSize(); i++)
            for(int j = i + 1; j < list.getSize(); j++) {
                Element left  = list.getElement(i);
                Element right = list.getElement(j);

                if(!comparator.lessThan(left, right)) swap(i, j);
            }
    }

    /**
     * Costruttore per gli ordinatori.
     *
     * @param l La lista da ordinare.
     * @param c L'oggetto comparatore da utilizzare nell'ordinamento.
     */
    public BubbleSorter(List l, Comparator c) {
        list       = l;
        comparator = c;
    }

    /**
     * Scambia due elementi della lista che si vuole ordinare.
     *
     * @param La lista su cui lavorare.
     * @param i Posizione del primo elemento.
     * @param j Posizione del secondo elemento.
     */
    private void swap(int i, int j) {
        Element t = list.getElement(i);

        list.setElement(i, list.getElement(j)); 
        list.setElement(j, t);
    }

    /**
     * L'oggetto comparatore da utilizzare durante l'ordinamento.
     */
    private Comparator comparator = null;

    /**
     * La lista da ordinare.
     */
    private List list = null;
}
