/**
 * Classe dei rettangoli.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class ConcreteRectangle implements Rectangle {
    /**
     * Calcola l'area del rettangolo.
     *
     * @return L'area del rettangolo.
     */
    public double area() {
        return width*height;
    }

    /**
     * Calcola il perimetro del rettangolo.
     *
     * @return Il perimetro del rettangolo.
     */
    public double perimeter() {
        return 2*width + 2*height;
    }

    /**
     * Ritorna il nome della figura.
     *
     * @return Il nome della figura.
     */
    public String getName() {
        return "Rectangle";
    }

    /**
     * Costruttore per i rettangoli.
     *
     * @param w La larghezza del rettangolo.
     * @param h L'altezza del rettangolo.
     */
    public ConcreteRectangle(int w, int h) {
        width  = w;
        height = h;
    }

    /**
     * Larghezza del rettangolo.
     */
    private int width = 0;

    /**
     * Altezza del rettangolo.
     */
    private int height = 0;
}
