/**
 * Classe dei triangoli.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class ConcreteTriangle implements Triangle {
    /**
     * Calcola l'area del triangolo.
     *
     * @return L'area del triangolo.
     */
    public double area() {
        double s = perimeter()/2;

        double a2 = s*(s-side1)*(s-side2)*(s-side3);

        return Math.sqrt(a2);
    }

    /**
     * Calcola il perimetro del triangolo.
     *
     * @return Il perimetro del triangolo.
     */
    public double perimeter() {
        return side1 + side2 + side3;
    }

    /**
     * Ritorna il nome della figura.
     *
     * @return Il nome della figura.
     */
    public String getName() {
        return "Triangle";
    }

    /**
     * Costruttore per i triangoli.
     *
     * @param e1 Lunghezza del primo lato.
     * @param e2 Lunghezza del secondo lato.
     * @param e3 Lunghezza del terzo lato.
     */
    public ConcreteTriangle(int s1, int s2, int s3) {
        side1 = s1; side2 = s2; side3 = s3;
    }

    /**
     * Lati del triangolo.
     */
    private int side1 = 0, side2 = 0, side3 = 0;
}
