/**
 * Interfaccia degli oggetti lista.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public interface List {
    /**
     * Aggiunge un elemento in fondo alla lista.
     *
     * @param r Elemento da aggiungere alla lista.
     */
    public void addElement(Element e);

    /**
     * Mette un elemento in posizione <code>i</code>.
     *
     * @param i Posizione in cui aggiungere l'elemento.
     * @param r Elemento da aggiungere alla lista.
     */
    public void setElement(int i, Element r);

    /**
     * Ritorna l'elemento della lista in posizione <code>i</code>.
     *
     * @param  i Posizione dell'elemento da leggere all'interno della lista.
     * @return Elemento della lista in posizione <code>i</code>.
     */
    public Element getElement(int i);

    /**
     * Ritorna la dimensione corrente della lista.
     *
     * @return Dimensione corrente della lista.
     */
    public int getSize();
}
