import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

/**
 * Programma che copia un file in un altro file.
 * La sintassi sulla linea di comando e':
 *
 * <code>java Main file_sorgente file_destinazione</code>
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Main {
    /**
     * Metodo principale del programma.
     *
     * @param args Parametri passati sulla linea di comando.
     */
    public static void main(String[] args) {
        if(args.length != 2) {
            System.err.println("Usage: java Main <source file> <dest file>");

            System.exit(-1);
        }

        File inputFile  = new File(args[0]);
        File outputFile = new File(args[1]);

        try {
            FileReader in  = new FileReader(inputFile);
            FileWriter out = new FileWriter(outputFile);
        
            int c;

            while((c = in.read()) != -1) out.write(c);

            in.close(); out.close();
        } catch(FileNotFoundException fnfe) {
            System.err.println("File not found: " + args[0]);
        } catch(IOException e) {
            System.err.println("Unable to write file: " + args[1]);
        }
    }
}
