import java.util.Map;
import java.util.HashMap;

/**
 * Programma che crea un oggetto persona, un oggetto passaporto e li collega in vario
 * modo, anche mediante una mappa che associa ad ogni persona il proprio passaporto.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Main {
    /**
     * Metodo principale del programma.
     *
     * @param args Parametri passati sulla linea di comando.
     */
    public static void main(String[] args) {
        // Creazione della persona e del passaporto.
        Person   person   = new Person("Paolo", "Rossi");
        Passport passport = new Passport(12345);

        person.setPassport(passport);
        passport.setPerson(person);

        // Creazione della mappa che associa una persona al proprio passaporto.
        Map passports = new HashMap();
        passports.put(person, passport);

        // Stampa delle informazioni memorizzate.
        System.out.println("The number of the passport of 'Paolo Rossi' is: " + person.getPassport().getNumber());

        Passport p = (Passport)passports.get(person);

        if(p == null) System.out.println("There is no passport for 'Paolo Rossi' in the map");
        else          System.out.println("The number of the passport of 'Paolo Rossi' in the map is: " + p.getNumber());
    }
}
