/**
 * Classe dei passaporti.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Passport {
    /**
     * Ritorna il numero del passaporto.
     *
     * @return Il numero del passaporto.
     */
    public int getNumber() {
        return number;
    }

    /**
     * Ritorna la persona in possesso del passaporto.
     *
     * @return La persona in possesso del passaporto.
     */
    public Person getPerson() {
        return person;
    }

    /**
     * Permette di impostare la persona in possesso del passaporto.
     *
     * @param p La persona.
     */
    public void setPerson(Person p) {
        person = p;
    }

    /**
     * Costruttore per gli oggetti passaporto.
     *
     * @param i Il codice del passaporto.
     */
    public Passport(int i) {
        number = i;
    }

    /**
     * Persona in possesso del passaporto.
     */
    private Person person = null;

    /**
     * Numero del passaporto.
     */
    private int number;
}
