/**
 * Classe delle persone.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Person {
    /**
     * Ritorna il passaporto della persona.
     *
     * @return Il passaporto della persona.
     */
    public Passport getPassport() {
        return passport;
    }

    /**
     * Permette di impostare il passaporto della persona.
     *
     * @param p Il passaporto.
     */
    public void setPassport(Passport p) {
        passport = p;
    }

    /**
     * Consente di confrontare due oggetti persona.
     *
     * @param p L'oggetto da confrontare.
     */
    public boolean equals(Object o) {
        if(!(o instanceof Person)) return false;

        Person p = (Person)o;

        return name.equals(p.name) && familyName.equals(p.familyName);
    }

    /**
     * Consente di ottenere un codice hash per l'oggetto persona.
     */
    public int hashCode() {
        return (name + familyName).hashCode();
    }

    /**
     * Crea una copia dell'oggetto persona.
     */
    public Object clone() {
        return new Person(name, familyName);
    }

    /**
     * Costruttore per gli oggetti persona.
     *
     * @param n Il nome della persona.
     * @param f Il nome della persona.
     */
    public Person(String n, String f) {
        name       = n;
        familyName = f;
    }

    /**
     * Passaporto della persona.
     */
    private Passport passport = null;

    /**
     * Nome della persona.
     */
    private String name = null;

    /**
     * Cognome della persona.
     */
    private String familyName = null;
}
