/**
 * Classe delle liste di rettangoli.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class ListOfRectangles {
    /**
     * Ordina la lista in base all'area dei rettangoli.
     */
    public void sort() {
        for(int i = 0; i < size; i++)
            for(int j = i + 1; j < size; j++) {
                Rectangle left  = elements[i];
                Rectangle right = elements[j];

                if(left.area() > right.area()) swap(i, j);
            }
    }

    /**
     * Aggiunge un rettangolo in fondo alla lista.
     *
     * @param r Rettangolo da aggiungere alla lista.
     */
    public void addElement(Rectangle r) {
        elements[size++] = r;
    }

    /**
     * Ritorna l'elemento della lista in posizione <code>i</code>.
     *
     * @param  i Posizione dell'elemento da leggere all'interno della lista.
     * @return Elemento della lista in posizione <code>i</code>.
     */
    public Rectangle getElement(int i) {
        return elements[i];
    }

    /**
     * Ritorna la dimensione corrente della lista.
     *
     * @return Dimensione corrente della lista.
     */
    public int getSize() {
        return size;
    }

    /**
     * Costruttore per le liste di rettangoli.
     */
    public ListOfRectangles() {
        elements = new Rectangle[100];
    }

    /**
     * Scambia due elementi all'interno dell'array.
     *
     * @param i Posizione del primo elemento.
     * @param j Posizione del secondo elemento.
     */
    private void swap(int i, int j) {
        Rectangle t = elements[i];

        elements[i] = elements[j]; elements[j] = t;
    }

    /**
     * Dimensione corrente della lista.
     */
    private int size = 0;

    /**
     * Array che implementa la lista.
     */
    private Rectangle[] elements;
}
