/**
 * Programma che crea una lista contenente 8 rettangoli e 2 quadrati.
 * I rettangoli sono i seguenti:<br>
 * 5x7, 4x8, 10x10, 1x1, 1x2, 7x10, 50x30, 3x6<br>
 * I quadrati sono i seguenti:<br>
 * 6x6, 200x200<br>
 * Una volta ordinata in base all'area, la lista viene stampata a video.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Main {
    /**
     * Metodo principale del programma.
     *
     * @param args Parametri passati sulla linea di comando.
     */
    public static void main(String[] args) {
        // Creazione della lista dei rettangoli.
        ListOfRectangles list = new ListOfRectangles();

        // Creazione dei rettangoli e aggiunta alla lista.
        list.addElement(new Rectangle(5, 7));
        list.addElement(new Rectangle(4, 8));
        list.addElement(new Rectangle(10, 10));
        list.addElement(new Rectangle(1, 1));
        list.addElement(new Rectangle(1, 2));
        list.addElement(new Rectangle(7, 10));
        list.addElement(new Rectangle(50, 30));
        list.addElement(new Rectangle(3, 6));
        list.addElement(new Square(6));
        list.addElement(new Square(200));

        // Creazione di un oggetto ordinatore
        BubbleSorter sorter = new BubbleSorter();

        // Ordinamento della lista.
        sorter.sort(list);

        // Stampa delle aree degli elementi della lista.
        Printer printer = new Printer();
        printer.print(list);
    }
}
