/**
 * Classe dei rettangoli.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Rectangle {
    /**
     * Calcola l'area del rettangolo.
     *
     * @return L'area del rettangolo.
     */
    public int area() {
        return width*height;
    }

    /**
     * Calcola il perimetro del rettangolo.
     *
     * @return Il perimetro del rettangolo.
     */
    public int perimeter() {
        return 2*width + 2*height;
    }

    /**
     * Ritorna la lunghezza della base del rettangolo.
     *
     * @return La base del rettangolo.
     */
    public int getWidth() {
        return width;
    }

    /**
     * Ritorna la lunghezza dell'altezza del rettangolo.
     *
     * @return L'altezza del rettangolo.
     */
    public int getHeight() {
        return height;
    }

    /**
     * Costruttore per i rettangoli.
     *
     * @param w La larghezza del rettangolo.
     * @param h L'altezza del rettangolo.
     */
    public Rectangle(int w, int h) {
        width  = w;
        height = h;
    }

    /**
     * Larghezza del rettangolo.
     */
    private int width = 0;

    /**
     * Altezza del rettangolo.
     */
    private int height = 0;
}
