package bancomat;

/**
 * Classe dei conti correnti utilizzati dal sistema Bancomat.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Account {
    /**
     * Costruttore dell'oggetto conto corrente.
     */
    public Account(Bank b, String a, String n, String c) {
        accountNumber = n; ABI = a; CAB = c;

        bank = b;
    }

    /**
     * Autorizza l'inizio delle operazioni di prelievo.
     */
    public Transaction startGetMoney(int amount) throws InvalidTransactionException {
        return bank.startGetMoney(this, amount);
    }

    /**
     * Ritorna la banca che ha creato questo oggetto.
     *
     * @return La banca.
     */
    public Bank getBank() {
        return bank;
    }

    /**
     * I codici del conto corrente.
     */
    private String accountNumber = null, ABI = null, CAB = null;

    /**
     * La banca.
     */
    private Bank bank = null;
}
