package bancomat;

/**
 * Interfaccia che definisce le funzionalita' della banca.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public interface Bank {
    /**
     * Attiva l'oggetto.
     */
    public void run();

    /**
     * Valida la coppia numero di carta/PIN. Se la validazione ha 
     * successo ritorna il conto corrente associato.
     */
    public void validate(String cardNumber, String PIN) throws InvalidPINException;

    /**
     * Autorizza l'inizio delle operazioni di prelievo.
     */
    public Transaction startGetMoney(Account account, int amount) throws InvalidTransactionException;

    /**
     * Completa le operazioni di prelievo.
     */
    public void completeGetMoney(Transaction transaction);

    /**
     * Annulla le operazioni di prelievo.
     */
    public void rollbackGetMoney(Transaction transaction);
}
