package bancomat;

/**
 * Interfaccia che definisce le funzionalita' dell'interfaccia utente.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public interface GUI {
    /**
     * Attiva l'oggetto.
     */
    public void run();

    /**
     * Metodo che visualizza la schermata iniziale.
     */
    public void showInitialScreen();

    /**
     * Metodo utilizzato per espellere la carta.
     */
    public void ejectCard();

    /**
     * Metodo utilizzato per ritirare la carta.
     */
    public void retireCard();

    /**
     * Metodo utilizzato per erogare una somma.
     */
    public void provideMoney(int amount);

    /**
     * Metodo che visualizza la schermata d'errore.
     */
    public void showErrorScreen(String message);

    /**
     * Metodo che visualizza la schermata di richiesta del PIN.
     */
    public void showRequestPINScreen();

    /**
     * Metodo che visualizza la schermata di richiesta della somma da prelevare.
     */
    public void showRequestMoneyScreen();

    /**
     * Metodo che visualizza la schermata contenente il menu' principale.
     */
    public void showMainMenuScreen();
}
