import java.awt.Color;
import java.awt.Graphics;

/**
 * Classe che implementa le viste dei rettangoli.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class ColorRectangleView implements RectangleView {
    /**
     * Costruttore delle viste colorate dei rettangoli.
     *
     * @param Il rettangolo da disegnare.
     */
    public ColorRectangleView(Rectangle r) {
        rectangle = r;
        color     = new Color(0, 0, 255);
    }

    /**
     * Disegna un rettangolo sul contesto grafico <code>g</code>.
     *
     * @param Il contesto grafico in cui disegnare.
     */
    public void paintPolygon(Graphics g) {
        g.setColor(color);

        g.fillRect(rectangle.getX(), rectangle.getY(), rectangle.getWidth(), rectangle.getHeight());
    }

    /**
     * Ritorna il poligono associato alla vista.
     *
     * @return Il poligono associato alla vista.
     */
    public Polygon getPolygon() {
        return rectangle;
    }

    /**
     * Ritorna il colore della vista.
     *
     * @return Il colore della vista.
     */
    public Color getColor() {
        return color;
    }

    /**
     * Imposta il colore della vista.
     *
     * @param c Il colore della vista.
     */
    public void setColor(Color c) {
        color = c;
    }

    /**
     * Il rettangolo associato alla vista.
     */
    public Rectangle rectangle = null;

    /**
     * Il colore della vista.
     */
    public Color color = null;
}
