import javax.swing.JPanel;

import java.awt.Graphics;

/**
 * Classe delle viste dell'editor.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class EditorView extends JPanel {
    /**
     * Costruttore del modello dell'editor.
     *
     * @param m Il modello dell'editor.
     */
    public EditorView(EditorModel m) {
        model = m;
    }

    /**
     * Metoto utilizzato per disegnare il contenuto del JPanel.
     *
     * @param g Il contesto grafico in cui disegnare.
     */
    public void paintComponent(Graphics g) {
        super.paintComponent(g);

        for(int i = 0; i < model.getSize(); i++) {
            ViewablePolygon p = model.getViewablePolygon(i);
            PolygonView     v = p.getPolygonView();

            v.paintPolygon(g);
        }
    }

    /**
     * Modello da visualizzare.
     */
    private EditorModel model = null;
}
