/**
 * Interfaccia che descrive i poligoni.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public interface Polygon {
    /**
     * Calcola l'area del poligono.
     *
     * @return L'area del poligono.
     */
    public double area();

    /**
     * Calcola il perimetro del poligono.
     *
     * @return Il perimetro del poligono.
     */
    public double perimeter();

    /**
     * Ritorna il nome della figura.
     *
     * @return Il nome della figura.
     */
    public String getName();

    /**
     * Ritorna la coordinata X dell'angolo in alto a sinistra del poligono.
     *
     * @return La coordinata X dell'angolo in alto a sinistra del poligono.
     */
    public int getX();

    /**
     * Ritorna la coordinata Y dell'angolo in alto a sinistra del poligono.
     *
     * @return La coordinata Y dell'angolo in alto a sinistra del poligono.
     */
    public int getY();

    /**
     * Ritorna la larghezza del poligono.
     *
     * @return La larghezza del poligono.
     */
    public int getWidth();

    /**
     * Ritorna l'altezza del poligono.
     *
     * @return L'altezza del poligono.
     */
    public int getHeight();
}
