/**
 * Classe dei rettangoli disegnabili.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class ViewableRectangle implements ViewablePolygon {
    /**
     * Costruttore per i rettangoli disegnabili.
     *
     * @param p Il rettangolo.
     * @param v La vista del poligono.
     */
    public ViewableRectangle(RectangleView v) {
        rectangle = (Rectangle)v.getPolygon();
        view      = v;
    }

    /**
     * Ritorna la vista del rettangolo.
     */
    public PolygonView getPolygonView() {
        return view;
    }

    /**
     * Ritorna il rettangolo.
     */
    public Polygon getPolygon() {
        return rectangle;
    }

    /**
     * Vista del rettangolo.
     */
    private RectangleView view = null;

    /**
     * Il rettangolo.
     */
    private Rectangle rectangle = null;
}
