/**
 * Classe dei rettangoli.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class ConcreteRectangle implements Rectangle {
    /**
     * Calcola l'area del rettangolo.
     *
     * @return L'area del rettangolo.
     */
    public double area() {
        return width*height;
    }

    /**
     * Calcola il perimetro del rettangolo.
     *
     * @return Il perimetro del rettangolo.
     */
    public double perimeter() {
        return 2*width + 2*height;
    }

    /**
     * Ritorna il nome della figura.
     *
     * @return Il nome della figura.
     */
    public String getName() {
        return "Rectangle";
    }

    /**
     * Ritorna la larghezza del rettangolo.
     *
     * @return Larghezza del rettangolo.
     */
    public int getWidth() {
        return width;
    }

    /**
     * Ritorna l'altezza del rettangolo.
     *
     * @return Altezza del rettangolo.
     */
    public int getHeight() {
        return height;
    }

    /**
     * Ritorna la coordinata X dell'angolo in alto a sinistra.
     *
     * @return Coordinata X dell'angolo in alto a sinistra.
     */
    public int getX() {
        return x;
    }

    /**
     * Ritorna la coordinata Y dell'angolo in alto a sinistra.
     *
     * @return Coordinata Y dell'angolo in alto a sinistra.
     */
    public int getY() {
        return y;
    }

    /**
     * Costruttore per i rettangoli.
     *
     * @param ox Coordinata X dell'angolo in alto a sinistra.
     * @param oy Coordinata Y dell'angolo in alto a sinistra.
     * @param w  La larghezza del rettangolo.
     * @param h  L'altezza del rettangolo.
     */
    public ConcreteRectangle(int ox, int oy, int w, int h) {
        x      = ox;
        y      = oy;
        width  = w;
        height = h;
    }

    /**
     * Larghezza del rettangolo.
     */
    private int width = 0;

    /**
     * Altezza del rettangolo.
     */
    private int height = 0;

    /**
     * Coordinata X dell'angolo in alto a sinistra.
     */
    private int x = 0;

    /**
     * Coordinata Y dell'angolo in alto a sinistra.
     */
    private int y = 0;
}
