import javax.swing.JFrame;

/**
 * Classe degli editor grafici.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Editor extends JFrame {
    /**
     * Costruttore dell'editor grafico.
     */
    public Editor() {
        super("Simple Polygon Editor");

        model      = new EditorModel();
        view       = new EditorView(model);
        controller = new EditorController(model, view);

        // Aggiungiamo qualche figura di esempio per non avere un modello vuoto.
        addRectangle();
        addSquare();

        setSize(500, 500);

        getContentPane().add(view);
    }

    /**
     * Aggiunge un rettangolo al modello e rinfresca la vista.
     */
    public void addRectangle() {
        Rectangle     r = new ConcreteRectangle(10, 10, 80, 100);
        RectangleView v = new ColorRectangleView(r);

        model.addViewablePolygon(new ViewableRectangle(v));
    }

    /**
     * Aggiunge un quadrato al modello e rinfresca la vista.
     */
    public void addSquare() {
        Square     s = new ConcreteSquare(200, 200, 30);
        SquareView v = new ColorSquareView(s);

        model.addViewablePolygon(new ViewableSquare(v));
    }

    /**
     * Modello dei dati manipolati dall'editor.
     */
    private EditorModel model = null;

    /**
     * Vista dei dati manipolati dall'editor.
     */
    private EditorView view = null;

    /**
     * Controllore dei dati manipolati dall'editor.
     */
    private EditorController controller = null;
}
