package editor;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JToolBar;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Classe delle toolbar dell'editor.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class EditorToolBar extends JToolBar {
    /**
     * Costruttore della toobar dell'editor.
     *
     * @param e L'editor.
     */
    public EditorToolBar(Editor e) {
        super("Editor Tool Bar");

        editor = e;

        Dimension buttonDimension = new Dimension(24, 24);

        JButton addRectangleButton = new JButton(new ImageIcon(getClass().getResource("/add_rectangle24.gif")));
        addRectangleButton.setToolTipText("Add rectangle");
        addRectangleButton.setPreferredSize(buttonDimension);
        addRectangleButton.setMaximumSize(buttonDimension);

        JButton addSquareButton = new JButton(new ImageIcon(getClass().getResource("/add_square24.gif")));
        addSquareButton.setToolTipText("Add square");
        addSquareButton.setPreferredSize(buttonDimension);
        addSquareButton.setMaximumSize(buttonDimension);

        addRectangleButton.addActionListener(
            new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    editor.addRectangle();
                }
            }
        );

        addSquareButton.addActionListener(
            new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    editor.addSquare();
                }
            }
        );

        add(addRectangleButton); add(addSquareButton);
    }

    /**
     * L'editor.
     */
    private Editor editor = null;
}
