package editor.model;

/**
 * Classe dei modelli utilizzati dall'editor.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class EditorModel {
    /**
     * Costruttore del modello dell'editor.
     */
    public EditorModel() {
        polygons = new ViewablePolygon[100];
        size     = 0;
    }

    /**
     * Aggiunge un poligono al modello.
     *
     * @param p Il poligono da aggiungere.
     */
    public void addViewablePolygon(ViewablePolygon p) {
        polygons[size++] = p;
    }

    /**
     * Ritorna un poligono del modello.
     *
     * @param i Indice del poligono da ritornare.
     */
    public ViewablePolygon getViewablePolygon(int i) {
        return polygons[i];
    }

    /**
     * Ritorna la lunghezza attuale della lista.
     *
     * @return Lunghezza della lista.
     */
    public int getSize() {
        return size;
    }

    /**
     * Lunghezza attuale della lista dei poligoni.
     */
    int size = 0;

    /**
     * Lista che contiene i poligoni del modello.
     */
    private ViewablePolygon[] polygons = null;
}
