package editor.model;

import editor.view.*;

/**
 * Interfaccia che descrive un poligono disegnabile.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public interface ViewablePolygon {
    /**
     * Ritorna la vista del poligono.
     *
     * @return La vista del poligono.
     */
    public PolygonView getPolygonView();

    /**
     * Ritorna il poligono.
     *
     * @return Il poligono.
     */
    public Polygon getPolygon();

    /**
     * Testa se il punto <code>x</code>, <code>y</code> e' contenuto nel poligono.
     *
     * @param x Coordinata X del punto.
     * @param y Coordinata Y del punto.
     */
    public boolean contains(int x, int y);

    /**
     * Imposta la condizione di selezione.
     *
     * @param s Il valore della condizione di selezione.
     */
    public void setSelected(boolean s);

    /**
     * Ritorna la condizione di selezione.
     *
     * @return Il valore della condizione di selezione.
     */
    public boolean getSelected(boolean s);
}
