package editor.view;

import editor.model.*;

import java.awt.Graphics;

/**
 * Interfaccia che descrive le viste dei poligoni.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public interface PolygonView {
    /**
     * Disegna un poligono sul contesto grafico <code>g</code>.
     *
     * @param Il contesto grafico in cui disegnare.
     */
    public void paintPolygon(Graphics g);

    /**
     * Ritorna il poligono associato alla vista.
     *
     * @return Il poligono associato alla vista.
     */
    public Polygon getPolygon();

    /**
     * Testa se il punto <code>x</code>, <code>y</code> e' contenuto nel poligono.
     *
     * @param x Coordinata X del punto.
     * @param y Coordinata Y del punto.
     */
    public boolean contains(int x, int y);

    /**
     * Imposta la condizione di selezione.
     *
     * @param s Il valore della condizione di selezione.
     */
    public void setSelected(boolean s);

    /**
     * Ritorna la condizione di selezione.
     *
     * @return Il valore della condizione di selezione.
     */
    public boolean getSelected();
}
