package login;

import javax.swing.*;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import java.util.*;
import java.util.List;

public class JLoginPanel extends JPanel {
    public JLoginPanel() {
        center = new JPanel();
        bottom = new JPanel();

        setLayout(new BorderLayout());

        add(center, BorderLayout.CENTER);
        add(bottom, BorderLayout.SOUTH);

        ok     = new JButton("OK");
        cancel = new JButton("Annulla");

        bottom.setLayout(new FlowLayout());
        bottom.add(ok);
        bottom.add(cancel);

        nameField     = new JTextField();
        passwordField = new JPasswordField();

        JPanel namePasswordPanel = new JPanel();
        namePasswordPanel.setLayout(new GridLayout(4, 1));
        namePasswordPanel.add(new JLabel("Introdurre il nome"));
        namePasswordPanel.add(nameField);
        namePasswordPanel.add(new JLabel("Introdurre la password"));
        namePasswordPanel.add(passwordField);

        center.setLayout(new BorderLayout());
        center.add(namePasswordPanel, BorderLayout.NORTH);

        ok.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent event) {
                fireLoginRequested(new LoginEvent(JLoginPanel.this, LoginEvent.OK));
            }
        });

        cancel.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent event) {
                fireLoginCancelled(new LoginEvent(JLoginPanel.this, LoginEvent.CANCEL));
            }
        });
    }
    
    public void addLoginListener(LoginListener l) {
        loginListeners.add(l);
    }

    public void removeLoginListener(LoginListener l) {
        loginListeners.remove(l);
    }

    protected void fireLoginRequested(LoginEvent e) {
        for(int i = 0; i < loginListeners.size(); i++) {
            Object o = loginListeners.get(i);
        	
            ((LoginListener)o).loginRequested(e);
        }
    }

    protected void fireLoginCancelled(LoginEvent e) {
        for(int i = 0; i < loginListeners.size(); i++) {
            Object o = loginListeners.get(i);
        	
            ((LoginListener)o).loginCancelled(e);
        }
    }
    
    protected JPanel     bottom,    center;
    protected JButton    ok,        cancel;
    protected JTextField nameField, passwordField;
    
    protected List loginListeners = new ArrayList();
}
