package login;

import javax.swing.*;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import java.util.*;
import java.util.List;

public class JLoginPanel extends JPanel {
    public static final String OK_STRING               = "okString",       CANCEL_STRING          = "cancelString",
                               INSERT_USER_NAME_STRING = "insertUserName", INSERT_PASSWORD_STRING = "insertUserName";

    public JLoginPanel() {
        center = new JPanel();
        bottom = new JPanel();

        setLayout(new BorderLayout());

        add(center, BorderLayout.CENTER);
        add(bottom, BorderLayout.SOUTH);

        ok     = new JButton(okString);
        cancel = new JButton(cancelString);

        bottom.setLayout(new FlowLayout());
        bottom.add(ok);
        bottom.add(cancel);

        nameField           = new JTextField();
        passwordField       = new JPasswordField();
        insertUserNameLabel = new JLabel(insertUserNameString);
        insertPasswordLabel = new JLabel(insertPasswordString);

        JPanel namePasswordPanel = new JPanel();
        namePasswordPanel.setLayout(new GridLayout(4, 1));
        namePasswordPanel.add(insertUserNameLabel);
        namePasswordPanel.add(nameField);
        namePasswordPanel.add(insertPasswordLabel);
        namePasswordPanel.add(passwordField);

        center.setLayout(new BorderLayout());
        center.add(namePasswordPanel, BorderLayout.NORTH);

        ok.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent event) {
                fireLoginRequested(new LoginEvent(JLoginPanel.this, LoginEvent.OK));
            }
        });

        cancel.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent event) {
                fireLoginCancelled(new LoginEvent(JLoginPanel.this, LoginEvent.CANCEL));
            }
        });
    }

    public void setOKString(String s) {
        String old = okString;

        okString = s; ok.setLabel(okString);

        firePropertyChange(OK_STRING, old, okString);
    }

    public String getOKString() {
        return okString;
    }

    public void setCancelString(String s) {
        String old = cancelString;

        cancelString = s; cancel.setLabel(cancelString);

        firePropertyChange(CANCEL_STRING, old, cancelString);
    }

    public String getCancelString() {
        return cancelString;
    }

    public void setInsertUserNameString(String s) {
        String old = insertUserNameString;

        insertUserNameString = s; insertUserNameLabel.setText(insertUserNameString);

        firePropertyChange(INSERT_USER_NAME_STRING, old, insertUserNameString);
    }

    public String getInsertUserNameString() {
        return insertUserNameString;
    }

    public void setInsertPasswordString(String s) {
        String old = insertPasswordString;

        insertPasswordString = s; insertPasswordLabel.setText(insertPasswordString);

        firePropertyChange(INSERT_PASSWORD_STRING, old, insertPasswordString);
    }

    public String getInsertPasswordString() {
        return insertPasswordString;
    }

    public void addLoginListener(LoginListener l) {
        loginListeners.add(l);
    }

    public void removeLoginListener(LoginListener l) {
        loginListeners.remove(l);
    }

    protected void fireLoginRequested(LoginEvent e) {
        for(int i = 0; i < loginListeners.size(); i++) {
            Object o = loginListeners.get(i);
        	
            ((LoginListener)o).loginRequested(e);
        }
    }

    protected void fireLoginCancelled(LoginEvent e) {
        for(int i = 0; i < loginListeners.size(); i++) {
            Object o = loginListeners.get(i);
        	
            ((LoginListener)o).loginCancelled(e);
        }
    }
    
    protected JPanel     bottom,              center;
    protected JButton    ok,                  cancel;
    protected JTextField nameField,           passwordField;
    protected JLabel     insertUserNameLabel, insertPasswordLabel,
                         iconLabel;

    protected Icon   icon;
    protected String okString             = "OK",
                     cancelString         = "Annulla",
                     insertUserNameString = "Introdurre il nome",
                     insertPasswordString = "Introdurre la password";

    protected List loginListeners = new ArrayList();
}
