import login.*;

import javax.swing.*;

import java.awt.*;
import java.awt.event.*;

public class Controller {
    public static final int NOT_LOGGED = 0, LOGGED = 1;

    public boolean requestLogin() {
        JLoginPanel loginPanel = new JLoginPanel();
        loginPanel.setOKString("Entra");
        loginPanel.setCancelString("Esci");
        loginPanel.setIcon(new ImageIcon(getClass().getResource("/images/icon.gif")));

        loginPanel.addLoginListener(new LoginListener() {
            public void loginRequested(LoginEvent e) {
                state = LOGGED;

                dialog.setVisible(false);
            } 

            public void loginCancelled(LoginEvent e) {
                dialog.setVisible(false);
            }
        });
        
        dialog = new JDialog();
        dialog.setTitle("Login");
        dialog.getContentPane().add(loginPanel);
        dialog.pack();

        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        int       width      = dialog.getWidth(),
                  height     = dialog.getHeight(),
                  x          = (int)((screenSize.getWidth()  - width)  / 2),
                  y          = (int)((screenSize.getHeight() - height) / 2);

        dialog.setBounds(x, y, width, height);

        dialog.setModal(true);
        dialog.show();

        return state == LOGGED;
    }

    private JDialog dialog;

    private int state = NOT_LOGGED;
}
