package login;

import java.util.*;

public abstract class AbstractLoginModel implements LoginModel {
    public abstract boolean validate(String userName, String password);

    protected AbstractLoginModel(String initialUserName, int allowedRepetitions, boolean emptyPasswordAllowed) {
        this.initialUserName      = initialUserName;
        this.allowedRepetitions   = allowedRepetitions;
        this.emptyPasswordAllowed = emptyPasswordAllowed;
    }

    public String getInitialUserName() {
        return initialUserName;
    }

    public int getAllowedRepetitions() {
        return allowedRepetitions;
    }

    public boolean isEmptyPasswordAllowed() {
        return emptyPasswordAllowed;
    }

    protected boolean emptyPasswordAllowed;
    protected String  initialUserName;
    protected int     allowedRepetitions;
}
