import login.*;

import javax.swing.*;

import java.awt.*;
import java.awt.event.*;

public class Controller {
    public static final int NOT_LOGGED = 0, LOGGED = 1;

    public Controller() {
        dataBaseManager = new TestDataBaseManager();
    }

    public boolean requestLogin() {
        loginPanel = new JLoginPanel();
        loginPanel.setOKString("Entra");
        loginPanel.setCancelString("Esci");
        loginPanel.setIcon(new ImageIcon(getClass().getResource("/images/icon.gif")));
        loginPanel.setModel(new SimpleLoginModel(dataBaseManager));

        loginPanel.addLoginListener(new LoginListener() {
            public void loginValidated(LoginEvent e) {
                state = LOGGED;

                user = loginPanel.getUserName();

                dialog.setVisible(false);
            } 

            public void loginFailed(LoginEvent e) {
                dialog.setVisible(false);
            }

            public void loginCancelled(LoginEvent e) {
                dialog.setVisible(false);
            }
        });
        
        dialog = new JDialog();
        dialog.setTitle("Login");
        dialog.getContentPane().add(loginPanel);
        dialog.pack();

        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        int       width      = dialog.getWidth(),
                  height     = dialog.getHeight(),
                  x          = (int)((screenSize.getWidth()  - width)  / 2),
                  y          = (int)((screenSize.getHeight() - height) / 2);

        dialog.setBounds(x, y, width, height);

        dialog.setModal(true);
        dialog.show();

        return state == LOGGED;
    }

    public String getUserName() {
        return user;
    }

    private JLoginPanel     loginPanel;
    private JDialog         dialog;
    private DataBaseManager dataBaseManager;

    private int    state = NOT_LOGGED;
    private String user  = "";
}
