package textprocessor;

/**
 * Programma che conta le parole all'interno del file passato come parametro.
 * La sintassi sulla linea di comando e':
 *
 * <code>java textprocessor.Main file</code>
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Main {
    /**
     * Metodo principale del programma.
     *
     * @param args Parametri passati sulla linea di comando.
     */
    public static void main(String[] args) {
        if(args.length != 1) {
            System.err.println("Usage: java textprocessor.Main <input file>");
            
            System.exit(-1);
        }
                
        try {
            TextProcessor processor = new TextProcessor();

            processor.addListener(new PrinterTextProcessorListener());
            
            processor.process(args[0]);
        } catch(Throwable t) {
            System.err.println("Problems processing file: " + args[0]);
            System.err.println("Error was: " + t.getMessage());
        }
    }
}