package textprocessor;

/**
 * Classe dei listener del text processor che contano le parole passate.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class PrinterTextProcessorListener implements TextProcessorListener {
    /**
     * Invocato ad ogni nuovo carattere letto.
     *
     * @param c Il carattere letto.
     */
    public void characterRead(char c) {}

    /**
     * Invocato alla fine del file.
     */    
    public void eofReached() {
        System.out.println("Read " + wordCounter + " words");
    }

    /**
     * Invocato ad ogni nuova parola letta.
     *
     * @param word La parola letta.
     */    
    public void wordRead(String word) {
        System.out.println("Read word: " + word);
        
        wordCounter++;
    }

    /**
     * Contatore delle parole.
     */        
    private int wordCounter = 0;
}