package textprocessor;

/**
 * Classe dei listener del text processor.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public interface TextProcessorListener {
    /**
     * Invocato ad ogni nuovo carattere letto.
     *
     * @param c Il carattere letto.
     */
    public void characterRead(char c);

    /**
     * Invocato ad ogni nuova parola letta.
     *
     * @param word La parola letta.
     */    
    public void wordRead(String s);

    /**
     * Invocato alla fine del file.
     */    
    public void eofReached();
}
