/**
 * Classe che implementa le foglie dell'albero.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Leaf extends AbstractTree {
    /**
     * Costruisce una foglia che contiene un valore.
     *
     * @param Il valore contenuto nella foglia.
     */    
     public Leaf(Object v) {
         value = v; 
     }

    /**
     * Ritorna il valore contenuto in questa foglia.
     *
     * @return Il valore contenuto.
     */
    public Object getValue() {
        return value;
    }

    /**
     * Stampa a video il contenuto della foglia.
     */
    public void print() {
        System.out.println("Leaf: " + value.toString()); 
    }

    /**
     * L'oggetto contenuto nella foglia.
     */
    private Object value = null;
}
