/**
 * Classe che implementa gli alberi binari.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Tree extends AbstractTree {
    /**
     * Crea un albero con una radice ed un sotto-albero destro e uno sinistro.
     */
    public Tree(Object o, AbstractTree l, AbstractTree r) {
        root  = o;
        left  = l;
        right = r;
    }

    /**
     * Ritorna il sotto-albero sinistro.
     *
     * @return Il sotto-albero sinistro.
     */
    public AbstractTree getLeft() { 
        return left;  
    }

    /**
     * Ritorna il sotto-albero destro.
     *
     * @return Il sotto-albero destro.
     */
    public AbstractTree getRight() { 
        return right; 
    }

    /**
     * Ritorna la radice dell'albero.
     *
     * @return La radice dell'albero.
     */
    public Object getRoot()         { return root; }

    /**
     * Stampa a video il contenuto dell'albero.
     */
    public void print() {
        System.out.println("Root: " + root.toString());

        left.print();
        right.print();
    }

    /**
     * Il sotto-albero sinistro.
     */
    private AbstractTree left  = null;

    /**
     * Il sotto-albero destro.
     */
    private AbstractTree right = null;

    /**
     * La radice dell'albero.
     */
    private Object root = null;
}
