/**
 * Pattern 'Abstract Factory'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Client {
    /**
     * Stampa i nomi dei prodotti.
     */
    private static void printNames(ProductA productA, ProductB productB) {
        System.out.println(productA.getName());
        System.out.println(productB.getName());
    }

    /**
     * Funzione main di test.
     */
    public static void main(String[] args) {
        AbstractFactory abstractFactory = new ConcreteFactory1();

        ProductA productA = abstractFactory.createProductA();
        ProductB productB = abstractFactory.createProductB();

        printNames(productA, productB);

        abstractFactory = new ConcreteFactory2();

        productA = abstractFactory.createProductA();
        productB = abstractFactory.createProductB();

        printNames(productA, productB);
    }
}
