/**
 * Pattern 'Builder'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class ConcreteBuilder extends Builder {
    /**
     * Costruttore.
     */
    public ConcreteBuilder() {
        product = new ConcreteProduct();
    }

    /**
     * Crea la parte A.
     */
    public void buildPartA() {
        product.addPartA(new ConcretePart("A"));
    }

    /**
     * Crea la parte B.
     */
    public void buildPartB() {
        product.addPartB(new ConcretePart("B"));
    }

    /**
     * Crea la parte C.
     */
    public void buildPartC() {
        product.addPartC(new ConcretePart("C"));
    }

    /**
     * Ritorna il prodotto completo.
     */
    public Product getResult() {
        return product;
    }

    /**
     * Il prodotto.
     */
    private Product product;
}
