import java.util.*;

/**
 * Pattern 'Composite'.
 *
 * @author  Federico Bergenti
 * @version 1.00 10/06/03
 */
public class Composite extends Component {
    /**
     * Metodo.
     */
    public void operation() {
        for(Iterator i = children.iterator(); i.hasNext(); )
            ((Component)i.next()).operation();
    }

    /**
     * Aggiunge un figlio al composite.
     */
    public void add(Component c) {
        children.add(c);
    }

    /**
     * Ritorna il numero di figli del composite.
     */
    public int getChildCount() {
        return children.size();
    }
    
    /**
     * I figli del composite.
     */
    private List children = new ArrayList();
}
